=== debian/changelog ===
freeswitch (1.0.4-1ubuntu2) karmic; urgency=low

    * upgrade: Add more verbosity when building to make it easier to find build errors.
    * upgrade: Remove the requirement for EXACTLY automake1.9 and change it to need atleast automake 1.9
    * upgrade: Add the modules (directory, cluechoo, and valet_parking) to the build files. These are in the standard build, so they should be here too.

 -- William King <quentusrex@gmail.com>  Fri, 18 Dec 2009 14:27:42 -0800

freeswitch (1.0.4-1ubuntu1) karmic; urgency=low

    * upgrade: Pulling out the sounds into separate source files for easier management.

 -- William King <quentusrex@gmail.com>  Sun, 15 Nov 2009 16:38:13 -0800

freeswitch (1.0.4-1) unstable; urgency=low

    * new

 -- Mike Jerris <mike@jerris.com>  Mon, 18 Feb 2009 17:39:00 -0500

freeswitch (1.0.3-1) unstable; urgency=low

   * build: add targets cd-sounds[-install] and cd-moh[-install] for 48k sounds (r:11151)
   * build: autoconf detect odbc library (FSBUILD-8)
   * build: fix sound install on windows build (r:11635,11638)
   * build: fix configure --sysconfdir (FSBUILD-84)
   * build: fix uclibc build (MODLANG-99)
   * build: fix adduser in debian (FSBUILD-122, FSBUILD-102)
   * core: fix buffering issues (r:11101,11145,11152-11157,11162,11191,11200)
   * core: fix c leg no hangup when converting attended to blind transfer before b leg answers (MODENDP-165/r:11061)
   * core: fix codec and media handling issues (r:11104) 
   * core: fix double close of file handles and add recording of native files (r:11108-11113,11482,11483)
   * core: fix file resampling issue (r:11090)
   * core: fix incorrect call progress timestamps in timetable (r:11186-11187/FSCORE-268)
   * core: fix media handling issues (r:11079-11082)
   * core: fix multiple 2833 dtmf handling issues (r:11149,11261,11262,11266,11293,11294,11338/FSCORE-266,FSCORE-273)
   * core: send more event types verbos bridge,unbridge,park,unpark (r:11097-11098)
   * core: Prevent media setup on failed originates (r:11462/FSCORE-279)
   * core: fix recorded soundfiles had random data at end of file (r:11491/MODAPP-205)
   * core: fix user for windows service (r:11538/FSCORE-277)
   * core: modify variable expansion code to expand in more places and to fix potential security issue from injecting variables (r:11569,11570)
   * core: look for soundfiles in more locations based on rate (r:11601/MODFORM-23)
   * core: state machine veto behavior changed (r:11610)
   * core: add enable_file_write_buffering variable (r:11677)
   * core: fix garbled audio on media bug during bridge using stateful codecs (FSCORE-288)
   * core: fix tone detect running multiple bugs when detecting multiple tones
   * core: add {instant_ringback=true} to make ringback not wait for indication to generate ringback
   * core: fix segfault from race condition on multiple reloadxml calls (MOODAPP-211)
   * core: modify xml locking so phrases do not lock the xml for the duration of playing them
   * core: replace resampler with the speexdsp resampler
   * core: fix windows calling convention on threads launched that return a value to fix shutdown segfault (FSCORE-298)
   * core: do not auto-export origination_caller_id_* to avoid confusion (r:12052)
   * core: API visibility support (GCC/SUNCC) (FSCORE-264)
   * core: fix leak in exposed event class serialize method (r:12068)
   * core: add volume as possible return value from input callback on embedded languages (r:12114)
   * core: add resampler to seech handles (r:12141)
   * core: add api.getTime to embedded languages (r:12149)
   * freeswitch: allow you to specify -htdocs dir at runtime. (r:11614)
   * fs_cli: add "debug" command to change the esl debug level at runtime (r:11057)
   * iksemel: update to 1.3 (r:11645)
   * libesl: fix disconnect failure (r:11078,11083)
   * libesl: fix solaris build (r:11067,11068)
   * libesl: add c++ wrapper and swigged wrappers for multiple scripting languages
   * libg722_1: fix dct4.h code generator to include the "f" (r:11188-11189,11367)
   * libilbc: update to new library from Steve Underwood
   * mod_amrwb: add amr wideband passthrough codec (r:11971)
   * mod_cepstral: fix failure return code handling (MODASRTTS-9)
   * mod_conference: add 'conference xml_list' and 'conference [conf_name] xml_list' (r:11062-11063)
   * mod_conference: make conference verbose-events param to control if events have all the channel data or not (r:11073-11077)
   * mod_conference: add MINTWO flag to end conference when down to 1 participant (r:11523)
   * mod_conference: refactor conference record function (r:11626)
   * mod_conference: add conference list summary command (MODAPP-197)
   * mod_conference: fix Deadlock or coredump on conference commands play, transfer (MODAPP-209)
   * mod_dahdi_codec: added (MODCODEC-7)
   * mod_dialplan_xml: make previous auto hunt feature optional and off by defaule use auto_hunt=true session or global variable to enable (r:12144)
   * mod_dptools: Add failure_causes channel variable (r:12058)
   * mod_easyroute: add configuration file example for custom-query (r:11055)
   * mod_easyroute: add custom-query configuration option (r:11054)
   * mod_easyroute: fix build error when not configured for odbc (r:11478)
   * mod_easyroute: fix memory leak (r:11611)
   * mod_erlang_event: add ability to spawn a process (module/function) outbound on a specified node. (r:11460,11477)
   * mod_erlang_event: Fix some issues with standing up a new outbound listener and cleaning up after a failed session (r:11479)
   * mod_erlang_event: Fix setting up a listener for an outbound session if one doesn't already exist (r:11488)
   * mod_erlang_event: add "erlang" fscli command (r:11488)
   * mod_erlang_event: Monitor spawned outbound processes for premature exits (r:11489)
   * mod_erlang_event: Allow the event encoding strategy to be configurable; choices are string or binary (r:11495)

