=== debian/sounds/freeswitch-sounds-en-us-callie/debian/changelog ===
freeswitch-sounds-en-us-callie (1.0.12-0ubuntu1) jaunty; urgency=low

  * Initial: This is the initial working build of the en-us-callie sounds

 -- William King <quentusrex@gmail.com>  Sun, 20 Sep 2009 06:56:46 -0700
